import { module, IModule } from 'angular'
import { appConfig, appRun } from './config'
import { pagesModule } from './pages'
import { servicesModule } from './services'

import ngSanitaze from 'angular-sanitize'
import ngTouch from 'angular-touch'
import uiRouter from '@uirouter/angularjs'
import angularTranslate from 'angular-translate'
import angularSwiper from 'angular-ui-swiper'
import rzSlider from 'angularjs-slider/dist/rzslider'
import './app.module.scss'
import 'swiper/dist/css/swiper.css'
import 'bootstrap/dist/css/bootstrap.min.css'
import 'bootstrap/dist/js/bootstrap.min.js'
import 'angular-ui-swiper/dist/angular-ui-swiper.css'
import 'angularjs-slider/dist/rzslider.min.css'
import 'angular-input-masks'
import uiBootstrap from 'angular-ui-bootstrap'
import './assets/checkout.js'
import 'angular-locale-pt-br'
import { AppController } from './app.controller'
import 'jquery-mousewheel'
import { PWA } from './helpers/pwa'
import firebase from 'firebase'
import firebaseConfig from './firebase.config'
import 'ng-meta'
import { FullPage } from './full-page-directive/full-page-directive'

PWA.register()
firebase.initializeApp(firebaseConfig)

export const app: IModule = module('app', [
    rzSlider,
    ngSanitaze,
    uiRouter,
    uiBootstrap,
    angularTranslate,
    angularSwiper,
    pagesModule,
    servicesModule,
    ngTouch,
    'ui.utils.masks',
    'ngMeta',
])

app.run(appRun)
app.config(appConfig)
app.controller('appController', AppController)
app.directive('fullpage', FullPage)
// bootstrap(document.querySelector('#app'), ['app'])
