import runtime from 'serviceworker-webpack-plugin/lib/runtime'

export namespace PWA {
    export let worker: any
    export let deferredPrompt: any

    const observeUpdate = (registration) => {
        registration.onupdatefound = () => {
            const installingWorker = registration.installing
            installingWorker.onstatechange = () => {
                switch (installingWorker.state) {
                    case 'installed':
                        // alert('Encontramos uma nova versão e vamos atualizar agora.')
                        location.reload()
                        break
                }
            }
        }
    }

    export function getDefferedPrompt(limit = 5) {
        let interval: any, counter: number = 0
        return new Promise((resolve, reject) => {
            interval = setInterval(() => {
                if (PWA.deferredPrompt) {
                    resolve(PWA.deferredPrompt)
                    clearInterval(interval)
                }
                if (counter >= limit) {
                    reject()
                    clearInterval(interval)
                }
                counter++
            }, 1000)
        })
    }

    export function register() {
        window.addEventListener('beforeinstallprompt', (e) => {
            e.preventDefault()
            PWA.deferredPrompt = e
            return false
        })
        if ('serviceWorker' in navigator) {
            PWA.worker = runtime.register()
            PWA.worker.then((registration) => {
                observeUpdate(registration)
            })
        }
    }

}
