import { module } from 'angular'
import { CatalogV2Page } from './catalog'
import CatalogTemplate from './catalog.html'
import './catalog.scss'
import { productSelectDetails } from './components/product-select-details/product-select-details'
import { selectColors } from './components/select-colors/select-colors'

const catalogModule = module('app.page.catalog-v2', [])
    .component('selectColors', selectColors)
    .component('productSelectDetailsV2', productSelectDetails)
    .config(($stateProvider) => {
        $stateProvider
            .state({
                name: 'catalog',
                url: ':name/:phone/:catalogId',
                controller: CatalogV2Page,
                template: CatalogTemplate,
                controllerAs: '$ctrl'
            })
    }).name

export { catalogModule }
