import { IOnInit } from 'angular'
import { ConfigService } from '../../services/config.service'
import { ConfigUser } from '../interfaces/config.interface'
import { StateService } from '../../services/state.service'

class HomePage implements IOnInit {
    private catalogs: any
    private status: any
    private config: ConfigUser

    constructor(public $state, public $stateParams, public configService: ConfigService, public stateService: StateService, public $timeout) {
        if (this.$stateParams.catalogId) {
            this.stateService.go('catalog')
        }
        this.status = this.$stateParams.phone
    }

    async $onInit() {
        let config = await this.configService.getConfig(this.$stateParams.name)
        this.$timeout(() => {
            this.config = config
        })
        // this.catalogs = [
        //     {
        //         id: 123231,
        //         name: 'Catalogo Bonito',
        //         file: 'https://traede.com/wp-content/uploads/2019/04/Unknown-3.jpeg'
        //     },
        //     {
        //         id: 123232,
        //         name: 'Catalogo Bonito',
        //         file: 'https://www.mysize.com.au/media/products/9087A219.022_1_M.jpg'
        //     },
        //     {
        //         id: 123233,
        //         name: 'Catalogo Bonito',
        //         file: 'http://wp.clicrbs.com.br/gfashion/files/2011/04/Balone_Milena_Toscano_06_02_2011_136514.jpg'
        //     },
        //     {
        //         id: 123234,
        //         name: 'Catalogo Bonito',
        //         file: 'https://www.papercitymag.com/wp-content/uploads/2018/08/Lone_Star_Looking_Glass_Summer_Outfit1-1.jpg'
        //     },
        //     {
        //         id: 123235,
        //         name: 'Catalogo Bonito',
        //         file: 'https://www.papercitymag.com/wp-content/uploads/2018/08/Lone_Star_Looking_Glass_Summer_Outfit1-1.jpg'
        //     },
        //     {
        //         id: 123236,
        //         name: 'Catalogo Bonito',
        //         file: 'https://www.papercitymag.com/wp-content/uploads/2018/08/Lone_Star_Looking_Glass_Summer_Outfit1-1.jpg'
        //     },
        //     {
        //         id: 123237,
        //         name: 'Catalogo Bonito',
        //         file: 'https://www.papercitymag.com/wp-content/uploads/2018/08/Lone_Star_Looking_Glass_Summer_Outfit1-1.jpg'
        //     },
        // ]
    }

    requestCatalog() {
        document.location.href = `https://wa.me/${this.config.phoneNumber}`
    }

    goCatalogPage(id) {
        this.stateService.go('catalog', { catalogId: id })
    }

}

export { HomePage }
