import { IOnInit } from 'angular'
import { AuthService } from '../../services/auth.service'

class LoginPage implements IOnInit {

    private verifyCode: boolean = false
    private code: any
    private phone: any
    private confirmationResult: any
    private loading: boolean

    constructor(public $state, public $stateParams, public $timeout, public authService: AuthService) { }

    $onInit() { }

    async sendMessage() {
        if (!this.verifyCode) {
            this.loading = true
            const recaptcha = await this.authService.recaptchaVerifier()
            this.confirmationResult = await this.authService.signInWithPhoneNumber(`+${this.phone}`, recaptcha)
            if (this.confirmationResult) {
                this.loading = false
                this.$timeout(() => this.verifyCode = true)
            }
        } else {
            this.loading = true
            try {
                await this.confirmationResult.confirm(this.code)
                this.loading = false
            } catch (e) {
                this.loading = false
                throw('Erro ao enviar código')
            }
        }

    }

    goRegister() {
        this.$state.go('register')
    }

}

export { LoginPage }
