import './gallery-images.scss'
import template from './gallery-images.html'
import * as angular from 'angular'

class GalleryImagesController {
	private images: Array<string>
	private toggle: boolean = false
	private onClickImage: Function

	constructor(public $scope, public $element, public $timeout) { }

	$onInit() {
		this.images = this.images.reverse()
		this.setEndScroll()
	}

	toggleImages() {
		this.toggle = !this.toggle
	}

	setEndScroll() {
		this.$timeout(() => {
			const element: Element = angular.element('.pictures')[0]
			element.scrollLeft = 999999
		})
	}

	clickImage(url, index) {
		this.images.splice(index, 1)
		this.images.push(url)
		this.toggleImages()
		this.setEndScroll()
		this.onClickImage({ data: url, index })
	}

	swipeRight() {
		this.toggle = true
	}

	swipeLeft() {
		this.toggle = false
	}

}

const galleryImages = {
	bindings: {
		onClickImage: '&?',
		images: '=?',
		toggle: '=?'
	},
	controller: GalleryImagesController,
	template: template,
}

GalleryImagesController['$inject'] = ['$scope', '$element', '$timeout']

export { galleryImages }
