import './product-select-details.scss'
import template from './product-select-details.html'

class ProductSelectDetailsController {
    private optionsSlider: any
    private ngModel: any
    private onClickButton: Function

    constructor(public $scope, public $element, public $timeout) { }

    $onInit() {
        this.optionsSlider = {
            floor: 0,
            ceil: 10,
        }
    }

    initializeValues(item) {
        this.$timeout(() => {
            item.qtdValue = item.qtdValue || 0
        })
    }

    validadeReference(reference) {
        return reference != null && reference != ''
    }

    createContentSlider(size) {
        this.$timeout(() => {
            const elm: any = document.querySelector(`.rzslider[size="${size}"] span.rz-pointer.rz-pointer-min`)
            if (elm) {
                elm.setAttribute('data-content', size)
            }
        })
    }

    clickBtn() {
        if (this.onClickButton) {
            this.onClickButton({ item: this.ngModel })
        }
    }



}

const productSelectDetails = {
    bindings: {
        expanded: '=?',
        ngModel: '=?',
        colors: '=?',
        activeColor: '&?',
        setActiveColor: '&?',
        enableColors: '=?',
        onClickButton: '&?',
        buttonText: '@?'
    },
    controller: ProductSelectDetailsController,
    template: template,
}

ProductSelectDetailsController['$inject'] = ['$scope', '$element', '$timeout']

export { productSelectDetails }
