import './shopping-cart.scss'
import template from './shopping-cart.html'
import { StateService } from '../../../../services/state.service'

class ShoppingCartController {
	private onClick: Function

	constructor(public $scope, public $element, public $timeout, public $state, public stateService: StateService) { }

	openShoppingCartList() {
		this.stateService.go('shopping-cart-list')
	}

	onClickIcon() {
		this.openShoppingCartList()
		if (this.onClick) {
			this.onClick({})
		}
	}

}

const shoppingCart = {
	bindings: {
		count: '=?',
		onClick: '&?'
	},
	controller: ShoppingCartController,
	template: template,
}

ShoppingCartController['$inject'] = ['$scope', '$element', '$timeout', '$state', 'stateService']

export { shoppingCart }
