import { module } from 'angular'
import { StateProvider } from '@uirouter/angularjs'
import { selectColors } from './components/select-colors/select-colors'
import { shoppingCart } from './components/shopping-cart/shopping-cart'
import { returnButton } from './components/return-button/return-button'
import { galleryImages } from './components/gallery-images/gallery-images'
import { productSelectDetails } from './components/product-select-details/product-select-details'

import { ProductDetailsPage } from './product-details'
import ProductDetailsTemplate from './product-details.html'
import './product-details.scss'

const productDetailsModule = module('app.page.product-details', [])
    .component('selectColors', selectColors)
    .component('shoppingCart', shoppingCart)
    .component('returnButton', returnButton)
    .component('productSelectDetails', productSelectDetails)
    .component('galleryImages', galleryImages)
    .config(($stateProvider: StateProvider) => {
        $stateProvider
            .state({
                name: 'product-details',
                url: '/:name/:phone/:catalogId/:id',
                controller: ProductDetailsPage,
                template: ProductDetailsTemplate,
                controllerAs: '$ctrl',
            })
    }).name

export { productDetailsModule }
