import { IOnInit } from 'angular'
import { AuthService } from '../../services/auth.service'
import moment from 'moment'
import firebase from 'firebase'

class RegisterPage implements IOnInit {
    private user: { name: string, document: string, dateOfBirth: number }
    private loggedUser
    private loading: boolean

    constructor(public $state, public $stateParams, public $timeout, public authService: AuthService) { }

    $onInit() {
        if (!this.$stateParams.hash) {
            this.$state.go('login')
            return
        }
        const unsubscribe = firebase.auth().onAuthStateChanged((user) => {
            this.loggedUser = user
            unsubscribe()
        })
    }

    async registerFinalCustomer() {
        this.loading = true
        let user = JSON.parse(JSON.stringify(this.user))
        user.phoneNumber = this.loggedUser.phoneNumber
        this.authService.registerFinalCustomer(user, this.loggedUser.uid).then(() => {
            window.location.href = atob(this.$stateParams.hash)
            this.loading = false
        }, () => {
            this.loading = false
            throw ('Erro ao tentar registrar o usuário')
        })
    }
}

export { RegisterPage }
