import './payments.scss'
import template from './payments.html'
import * as angular from 'angular'

class PaymentsController {
	private config: any
	private pay: Function

	constructor(public $scope, public $element, public $timeout) { }

	$onInit() { }

	calcHeight() {
		const length = angular.element('.payment').length
		if (length > 2) {
			return (3 * 96) + 14 + 'px'
		}
		return (length * 96) + 44 + 'px'
	}

	hasConfigPayment(type) {
		return this.config && this.config[type]
	}

	finish(type) {
		this.pay({ type })
	}

}

const payments = {
	bindings: {
		open: '=?',
		config: '=?',
		pay: '&?'
	},
	controller: PaymentsController,
	template: template,
}

PaymentsController['$inject'] = ['$scope', '$element', '$timeout']

export { payments }
