import { module } from 'angular'
import { StateProvider } from '@uirouter/angularjs'

import { ShoppingCartListPage } from './shopping-cart-list'
import ShoppingCartListTemplate from './shopping-cart-list.html'
import './shopping-cart-list.scss'

import ngAnimate from 'angular-animate'
import { payments } from './components/payments/payments'

const shoppingCartListModule = module('app.page.shopping-cart-list', [ngAnimate])
    .component('payments', payments)
    .config(($stateProvider: StateProvider) => {
        $stateProvider
            .state({
                name: 'shopping-cart-list',
                url: '/shopping-cart-list/:name/:phone/:catalogId',
                controller: ShoppingCartListPage,
                template: ShoppingCartListTemplate,
                controllerAs: '$ctrl',
            })
    }).name

    

export { shoppingCartListModule }
