import firebase from 'firebase'

class AuthService {
    private db

    constructor(public $http, public $uibModal) {
        this.db = firebase.firestore()
    }

    recaptchaVerifier() {
        return new firebase.auth.RecaptchaVerifier('sign-in-button', {
            'size': 'invisible',
            'callback': function (response) {
            }
        })
    }

    signInWithPhoneNumber(phoneNumber, appVerifier) {
        return new Promise((resolve, reject) => {
            firebase.auth().signInWithPhoneNumber(phoneNumber, appVerifier)
                .then((confirmationResult) => {
                    resolve(confirmationResult)
                }).catch(function (error) {
                    reject(error)
                })
        })
    }

    getUser(id) {
        return this.db.collection('final-customers').doc(id).get().then((response) => response)
    }

    registerFinalCustomer(user, id) {
        return this.db.collection('final-customers').doc(id).set(user).then((response) => response)
    }

}

export { AuthService }
