
import firebase from 'firebase'
class ConfigService {
    private db

    constructor(public $http, public $uibModal) {
        this.db = firebase.firestore()
    }

    getConfig(organizationId?) {
        return new Promise((resolve, reject) => {
            this.db.collection('organizations').doc(organizationId).get().then((response) => {
                if (response.exists) {
                    const organization = response.data()
                    resolve({
                        backgroundHome: {
                            image: organization.cover,
                            primaryOpacity: '#f12711',
                            secondaryOpacity: '#f5af19',
                        },
                        name: organization.organizationName,
                        phoneNumber: organization.phoneNumber
                    })
                }
            })
        })
    }

    getConfigPayment(organizationId?) {
        return new Promise((resolve, reject) => {
            this.db.collection('organizations').doc(organizationId).get().then((response) => {
                if (response.exists) {
                    resolve(response.data().config)
                }
            })
        })
    }

}

export { ConfigService }
