import { StateParam } from '../interfaces/state.interface'
import { SessionStorage } from '../helpers/session-storage'

class StateService {

    public stateParam: StateParam
    public currentState

    constructor(public $http, public $uibModal, public $state, public $stateParams, public $timeout) {
        let param = SessionStorage.getItem('params')
        this.stateParam = param ? param : {}
    }

    go(route, params?) {
        params = params ? params : {}
        this.setParams(params)
        this.$state.go(route, this.stateParam)
    }

    getParams() {
        return this.stateParam
    }

    setParams(params?) {
        this.stateParam = {
            name: params.name ? params.name : this.$stateParams.name,
            phone: params.phone ? params.phone : this.$stateParams.phone,
            catalogId: params.catalogId ? params.catalogId : this.$stateParams.catalogId,
            id: params.id ? params.id : this.$stateParams.id,
        }
        SessionStorage.setItem('params', this.stateParam)
    }

}

export { StateService }
